import { OnInit } from '@angular/core';
import { Icon } from '../../enum/icon.enum';
import { IconCacheService } from '../../service/icon-cache.service';
import { DropshipmentInfo } from '@colijnit/transactionapi/build/model/dropshipment-info';
import { TransactionService } from '../../service/transaction.service';
export declare class DropShipmentComponent implements OnInit {
    iconCacheService: IconCacheService;
    transactionService: TransactionService;
    showClass(): boolean;
    transUuid: string;
    showDropShipmentDialog: boolean;
    dropShipmentInfo: DropshipmentInfo;
    allDropShipmentAddresses: DropshipmentInfo[];
    existingDropShipmentAddresses: DropshipmentInfo[];
    searchTerm: string;
    showDisconnectButton: boolean;
    editMode: boolean;
    readonly icons: typeof Icon;
    constructor(iconCacheService: IconCacheService, transactionService: TransactionService);
    ngOnInit(): void;
    saveDropShipment(): void;
    closeDropShipment(): void;
    handleSearch(searchTerm: string): void;
    selectAddress(selectedAddress: DropshipmentInfo): void;
    removeDropShipment(): void;
    addNewAddress(): void;
    cancelAddingNewAddress(): void;
    private _objectContainsTerm;
    private _getAddresses;
}
